package Interia;
use constant PLUGIN_NAME => Interia;
use constant BROWSER => 'Opera/7.54 (X11; Linux i686; U)';
use WWW::Mechanize;
use Date::Format;
use Date::Parse;
use plugins::Interia::include::ConfigInteria;
use strict;

=pod

=head1 NAME

Interia - EpgDownloader plugin

=head1 DESCRIPTION

This plugin can import tv schedule from http://program.interia.pl website.

=head1 COPYRIGHT

This software is released under the GNU GPL version 2.

Author: Jakub Zalas <jakub@zalas.net>.

Date: may 2006

=cut

sub new {
	my $class = shift;
	my $config = shift;
	
	my $self = {};

	$self->{'config'} = $config;
	$self->{'plugin_config'} = ConfigInteria->new('config.xml');
	
	$self->{'url'} = 'http://programtv.interia.pl/';
	
	bless( $self, $class );
	return $self;
}

#gets channel names list and returns events list
sub get {
	my $self = shift;
	my $channels = shift;
	
	my $url = $self->{'url'};
	
	my $days 		= $self->{'plugin_config'}->get('DAYS');
	my $fullDescription 	= $self->{'plugin_config'}->get('FULL_DESCRIPTION');
	
	my $browser = WWW::Mechanize->new( 'agent' => BROWSER );
	
	foreach my $name (keys(%{$channels})) {
		Misc::pluginMessage(PLUGIN_NAME,"Downloading schedule for ".$name," ");
 		
		my $events = $channels->{$name};
		$browser->get($url);

		#special treatment for '+', '(', ')'
		$name =~ s/\+/\\\+/g;
		$name =~ s/\(/\\\(/g;
		$name =~ s/\)/\\\)/g;
	
		$browser->follow_link(text_regex => qr/$name$/);
	
		#special treatment for '+', '(', ')'
		$name =~ s/\\\+/+/g;
		$name =~ s/\\\(/\(/g;
		$name =~ s/\\\)/\)/g;
		
		my $base_uri = $browser->uri()."stacja-tvp-1,page,pl-name,cid,20823112";
		print $base_uri;

		for ( my $i = 0 ; $i <= $days ; $i++ ) 
		{
        	    $browser->get( $base_uri . ",o," . $i ) if $i > 0;		
		
			my $dateString = time2str("%Y-%m-%d",time+(60*60*24*($i-1)));
			my $dateUnix = str2time($dateString);
			my $date_url = "";
    
                        #@todo From version 1.50 of WWW-Mechanize content is decoded by default. For now we have to handle it this way.
			#my $content = $browser->content();
                        my $content = $browser->response()->decoded_content();
                        if($content !~ s/.*?<table.*?class="channelCont".*?>(.*?)<\/table>/$1/sm) {
				Misc::pluginMessage("","");
				Misc::pluginMessage(
					PLUGIN_NAME,
					"ERROR: Schedule for channel '$name' on '$dateString' not found!"," ");
				last;
			}
                        
                        #niektore programy zaczynaja sie od class="t" bez cyfry
			#while($content =~ s/.*?<tr class="t[0-9]?">.*?<td class="hour".*?>(.*?)<\/td>.*?<td>(.*?)<\/td>.*?<\/tr>(.*)/$3/sm) {
                        while($content =~ s/.*?<tr class="t[0-9]{0,}">.*?<td class="hour".*?>(.*?)<\/td>.*?<td>(.*?)<\/td>.*?<\/tr>(.*)/$3/sm) {
				my $hour = $1;
				my $row = $2;                                
                                my $rating = $2;    
                                $rating =~ s/(.*)<img src=//gi;
                                $rating =~ s/span(.*)//gi;
                                $rating =~ s/"//gi;
                                $rating =~ s/<//gi;
                                $rating =~ s/>//gi;
                                $rating =~ s/\/\///gi;
                                $rating =~ s/\/s\/ogranicz(.).gif //gi;
                                $rating =~ s/alt=//gi;
                                
                                my $rating_tmp=$rating;
                                $rating="0";
                                #print $rating_tmp."\n";
                                if($rating_tmp=='0') {$rating='0';}
                                if($rating_tmp=='1') {$rating='13';}
                                if($rating_tmp=='2') {$rating='15';}
                                if($rating_tmp=='3') {$rating='4';}
                                if($rating_tmp=='4') {$rating='9';}
                                #0 - bo
                                #1 - od 16+ 
                                #2 - od 18+
                                #3 - od 7+
                                #4 - od 12+

				last if $hour !~ s/(.*?)([0-9]{1,2}:[0-9]{2})(.*)/$2/sm;
				
				$row =~ s/.*?<a href="(.*?)">.*?<strong>(.*?)<\/strong>.*?<\/a>.*?<span class="type">[^a-zA-Z0-9]+([a-zA-Z0-9]+).*?<\/span>(.*)/$4/sm;

                                my $fullDescriptionUrl = $1;
                                my $title = $2;
				my $category = $3;

                                $row =~ s/.*?<div class="desc">(.*?)<\/div>.*/$1/sm;
				my $description = $row;
				my $description2="";
				
				#get full description if available and needed (follows another link so it costs time)
				if($fullDescription == 1 && $fullDescriptionUrl !~ /^$/) {
                                    $browser->get($fullDescriptionUrl);
                                    my $tmp = $browser->content();
                                    if($tmp =~ /.*?<p class="articleLead">(.*?)<\/p>.*/sm) {
                                       $description.= $1;
                                    }
                                    if($tmp =~ /.*?<p class="desc">(.*?)<\/p>.*/sm) {
                                       $description2 = $1;
                                    }
				} 

				#remove html tags from title
				$title =~ s/<(\/?)(.*?)>//smg;
		
				#removing trash from description and category
				$description =~ s/<br(.*?)>/\n/smgi;
				$description =~ s/<(\/?)(.*?)>//smg;
				$description =~ s/^[\s\n]{1,}//; 
				$description =~ s/[\s]{1,}$//;

                                my $prod=$description;
                                $description =~ s/\(.*\)//gi;
                                my $directors=$description;
                                my $actors=$description;
                                my $oryg_title=$description;
                                if ($directors =~ /re.*\./) 
                                {
                                    $directors =~ s/\n.*//gi; #usun znak konca linii
                                    $directors =~ s/.*re.{1}[\.]{1}//gi; #usun wszystko od poczatku do reż.
                                    $directors =~ s/[;]{1}[\s]{1}wyk[\.]{1}.*//gi; #usun wszystko od ;wyk.
                                    $directors =~ s/.*oryg[\.]{1}//gi;
                                }
                                else {$directors="";}
                                if ($actors =~ /wyk[\.]{1}/) 
                                {
                                    $actors =~ s/\n.*//gi;
                                    $actors =~ s/.*[;]{1}[\s]{1}wyk[\.]{1}//gi; #usun wszystko od poczatku do ;wyk. (włacznie)
                                    $description =~ s/.*\n//gi; #usun wszystko od poczatku do znaku konca linii
                                }
                                else {$actors="";}
                                if ($oryg_title =~ /oryg.*\./) 
                                {
                                    $oryg_title =~ s/\n.*//gi; #usun znak konca linii
                                    $oryg_title =~ s/re.{1}[\.]{1}.*//gi;
                                    $oryg_title =~ s/.*oryg[\.]{1}//gi; #usun wszystko od poczatku do oryg.
                                    $oryg_title =~ s/;//gi;
                                }
                                else {$oryg_title="";}
                                my $country="";
                                my $year="";
                                $prod =~ s/[\n]//gi;
                                my $prod_2=$prod;
                                if($prod_2 =~ /\(.*\)/ )
                                {
                                    $prod =~ s/.*\(//gi;  #usun wszystko do nawiasu (
                                    $prod =~ s/\).*//gi;  #usun wszystko od nawiasu )
                                    $country=$prod;
                                    $year=$prod;
                                    $country =~ s/[ ]{2}.*//gi;
                                    $year    =~ s/.*[ ]{2}//gi;
                                } else 
                                    {
                                        $country="";
                                        $year="";
                                    }

				$description2 =~ s/<br(.*?)>/\n/smgi;
				$description2 =~ s/<(\/?)(.*?)>//smg;
				$description2 =~ s/^[\s]{1,}//; 
				$description2 =~ s/[\s]{1,}$//;
				$category =~ s/<(\/?)(.*?)>//smg;
				$category =~ s/^[\s]{1,}//; 
				$category =~ s/[\s]{1,}$//;
                                #$category=$category.'|'.$rating.'|'.$hour_2.'|';
		
                                my $hour_2=$hour;
				#convert hour to unix timestamp, if it's after midnight, change base date string
                                $dateString = time2str("%Y-%m-%d",time+(60*60*24*($i))) if $hour =~ /^[0-3]{1}:[0-9]{2}/;
                                #if ($hour =~ /^[0-3]{1}:[0-9]{2}/) {$dateString = time2str("%Y-%m-%d",time+(60*60*24*($i+1)));}
                                #else {$dateString = time2str("%Y-%m-%d",time+(60*60*24*($i)));}
                                $category=$category.'|'.$rating.'|'.$country.'|'.$year.'|'.$directors.'|'.$actors.'|'.$oryg_title.'|';
				$hour = str2time($dateString." ".$hour);
                                my $s_hour=$hour;   #time2str("%Y-%m-%d %H:%M:%S",$hour);
                                my $e_hour=$hour+1; #time2str("%Y-%m-%d %H:%M:%S",$hour+1);
	
				#create event
				my $event = Event->new();
				$event->set('start', 		$s_hour		);
				$event->set('stop', 		$e_hour		);
				$event->set('title', 		$title		);
				$event->set('category', 	$category	);
				$event->set('description', 	$description	);
				$event->set('description2', 	$description2	);
	
				#set the previous event stop timestamp
				my $previous = $#{$events};
				$events->[$previous]->set('stop',$event->{'start'}) if $previous > -1;
			
				#put event to the events array
				push @{$events}, $event;
			}

			Misc::pluginMessage("","#"," ");
		}

		Misc::pluginMessage("","");
	}
	
	return $channels;
}

#gets channels list with each one's events and exports it
sub save {
	my $self = shift;
	my $events = shift;
	
	Misc::pluginMessage(PLUGIN_NAME,"This plugin doesn't support export.");
}

1;
