<?php
/**
 * @package         CMWatch server
 * @copyright       Copyright (C) 2012 Mariusz Dziewulski. All rights reserved.
 * @license         see LICENSE.txt
 * CMWatch server is free software only for non commercial use.
 */

 class gen_epg_cl 
   {
     var $host_pr;
     var $user_pr;
     var $pass_pr;
     var $database;
     var $db;
     var $sql;
     var $start_date;
     var $finish_date;
     var $epg_file_tmp;
     var $header_doc_xml;
     var $header_scheduler_xml;
     var $scheduler_body_xml;
     var $footer_scheduler_xml;
     var $footer_doc_xml;
     var $channels=array();
     var $event_xml;
     var $event;
     var $encoding;
     var $event_id;
     var $gen_to_separate_files;
     var $local_dir_epg_files;
     var $time_offset;
     var $add_epg_to_akpa;
     var $path_to_akpa_file;
     var $epg_doc_rodzaj;
          
     public function __construct($start_date,$finish_date,$epg_file_tmp)
     {
        include("config.php");
        
        $this->host_pr=$host_pr;
        $this->user_pr=$user_pr;
        $this->pass_pr=$pass_pr;
        $this->database=$database;
        $this->sql="";
        $this->start_date=$start_date;
        $this->finish_date=$finish_date;
        $this->epg_file_tmp=$epg_file_tmp;
        $this->header_doc_xml="";
        $this->header_scheduler_xml="";
        $this->scheduler_body_xml="";
        $this->footer_scheduler_xml="";
        $this->footer_doc_xml="";
        $this->event_xml="";
        $this->event="";
        $this->encoding=$encoding;
        $this->gen_to_separate_files=$gen_to_separate_files;
        $this->local_dir_epg_files=$local_dir_epg_files;
        $this->time_offset=$time_offset;
        $this->add_epg_to_akpa=$add_epg_to_akpa;
        $this->path_to_akpa_file=$path_to_akpa_file;
        $this->epg_doc_rodzaj=$epg_doc_rodzaj;
        if (trim($epg_doc_rodzaj)=="") $this->epg_doc_rodzaj=1;
     }
     
     function connect_db()
     {
        $db = mysql_connect($this->host_pr, $this->user_pr, $this->pass_pr) or die(mysql_error());
        mysql_select_db($this->database);   
        mysql_query("set character set utf8_general_ci");
        mysql_query("SET NAMES utf8");
     }  

     function read_config()
     {
        $sql="SELECT encoding,HOST_SSH,LOGIN_SSH,PASSWORD_SSH,REMOTE_DIR,GEN_XML_FILE
              FROM epg_config";
        $result = mysql_query($sql);
        $row=  mysql_fetch_assoc($result);
        //$this->encoding=$row["encoding"];
     }  
     function read_event_id()
     {
        $sql="SELECT max(id) m_id FROM epg_text";
        $result = mysql_query($sql);
        $row=  mysql_fetch_assoc($result);
        $this->event_id=$row["m_id"];
     }  
     
     function read_event_records($channel)
     {
        $sql="SELECT id,   start_date,
                           finish_date,
                           text,
                           channel_id,
                           short_description,
                           genre_level,
                           short_synopsis,
                           long_synopsis1,                                          
                           long_synopsis2,
                           long_synopsis3,
                           production_country,
                           language_code,
                           rating,
                           country,
                           directors,
                           characters,
                           actors,
                           production_year,
                           original_title
                    FROM epg_text
                    WHERE (channel_id = '$channel') and ((start_date >= '$this->start_date') or ((start_date <= '$this->start_date') and (finish_date >= '$this->start_date')))
                    ORDER BY channel_id, start_date";
        $this->event = mysql_query($sql);
     }  

     function connect_channels()
     {
        $sql="SELECT channel_ids FROM epg_channels WHERE selected=1";
        $result = mysql_query($sql);
        while($row = mysql_fetch_assoc($result))
        {
            $this->channels[]=$row["channel_ids"];
        }    
     }  
     
     function connect_header_footer_doc()
     {
        $sql="SELECT doc_header,scheduler_header,event,scheduler_footer,doc_footer FROM epg_command WHERE c_index='$this->epg_doc_rodzaj'";
        $result=mysql_query($sql);
        $row=mysql_fetch_assoc($result);
        if(!($row)==NULL)
        {    
            $this->header_doc_xml =       $row["doc_header"];
            $this->header_scheduler_xml = $row["scheduler_header"];
            $this->event_xml =            $row["event"];
            $this->footer_scheduler_xml = $row["scheduler_footer"];
            $this->footer_doc_xml =       $row["doc_footer"];
        } else $this->event_xml="No document.";
     }  
     
     function run_epg()
     {
        $this->connect_db();  //connect to db
        $this->read_config();
        
        $this->read_event_id();
        $this->connect_channels(); //wybor kanalow do wyswietlenia
        $this->connect_header_footer_doc(); //get doc header 1x
  
        if($this->add_epg_to_akpa==1)
        {
            $f=fopen($this->path_to_akpa_file,"r");
            $akpa=fread($f, filesize($this->path_to_akpa_file));
            $akpa=str_replace($this->footer_doc_xml,"",$akpa);
            $akpa=str_replace('&quot;',"",$akpa);
            fclose($f);
            $f=fopen($this->path_to_akpa_file,"w+");
            fwrite($f,$akpa);
            //fclose($f);
        }    
        if($this->gen_to_separate_files==0) //generate to one file
        {    
            $handle=fopen($this->epg_file_tmp,"a+");
            $header_doc_xml=str_replace('|',"\n",$this->header_doc_xml);
            fwrite($handle,str_replace('$encoding$',$this->encoding,$header_doc_xml));
            fwrite($handle,"\n");
        }    
        //header dla dokumentu
        $event_id=$this->event_id;
        for($i=0;$i<count($this->channels);$i++)
        {
            if($this->gen_to_separate_files==1)
            {    
                $file_name='/tmp/'.$this->channels[$i].'.xml';
                $handle=fopen($file_name,"w");
                $header_doc_xml=str_replace('|',"\n",$this->header_doc_xml);
                fwrite($handle,str_replace('$encoding$',$this->encoding,$header_doc_xml));
                fwrite($handle,"\n");
            }
            
            $this->read_event_records($this->channels[$i]);
            //header scheduler dla kanalu
            if($this->add_epg_to_akpa==1)
            {
                fwrite($f,str_replace('|',"\n",str_replace('$channel_id$',$this->channels[$i],$this->header_scheduler_xml)));
                fwrite($f,"\n");                            
            }    
            fwrite($handle,str_replace('|',"\n",str_replace('$channel_id$',$this->channels[$i],$this->header_scheduler_xml)));
            fwrite($handle,"\n");            
            while($row_e=mysql_fetch_assoc($this->event))
            {
                $event_xml=iconv('UTF-8',$this->encoding,$this->event_xml);
                $event_xml=str_replace('$channel_id$',        $this->channels[$i],                                    $event_xml);
                $event_xml=str_replace('$event_id$',          $event_id,                                              $event_xml);
                
                $new_start_date= strtotime($row_e["start_date"]) +$this->time_offset;
                $new_finish_date=strtotime($row_e["finish_date"])+$this->time_offset;
                $event_xml=str_replace('$start_date$',        str_replace('"','',date("Y-m-d H:i:s",$new_start_date)), $event_xml);
                $event_xml=str_replace('$end_date$',          str_replace('"','',date("Y-m-d H:i:s",$new_finish_date)),$event_xml);                
                
                $event_xml=str_replace('$production_year$',   str_replace('"','',$row_e["production_year"]),          $event_xml);
                $event_xml=str_replace('$genre_level$',       str_replace('"','',$row_e["genre_level"]),              $event_xml);
                $event_xml=str_replace('$original_title$',    str_replace('"','',$row_e["original_title"]),           $event_xml);
                $event_xml=str_replace('$directors$',         str_replace('"','',$row_e["directors"]),                $event_xml);
                $event_xml=str_replace('$actors$',            str_replace('"','',$row_e["actors"]),                   $event_xml);
                $event_xml=str_replace('$characters$',        str_replace('"','',$row_e["characters"]),               $event_xml);
                $event_xml=str_replace('$production_country$',str_replace('"','',strtoupper($row_e["production_country"])),$event_xml);
                $event_xml=str_replace('$title$',             str_replace('"','',$row_e["text"]),                     $event_xml);
                $long_synopsis= $row_e["long_synopsis1"];
                //$long_synopsis.=$row_e["long_synopsis2"];
                //$long_synopsis.=$row_e["long_synopsis3"];
                $event_xml=str_replace('$long_synopsis$',     str_replace('"','',$long_synopsis),                     $event_xml);
                $event_xml=str_replace('$short_synopsis$',    str_replace('"','',$row_e["short_synopsis"]),           $event_xml);
                $event_xml=str_replace('$language_code$',     str_replace('"','',strtolower($row_e["language_code"])),$event_xml);
                $event_xml=str_replace('$short_description$', str_replace('"','',$row_e["short_description"]),        $event_xml);
                $event_xml=str_replace('$rating$',            str_replace('"','',$row_e["rating"]),                   $event_xml);
                $event_xml=str_replace('$country$',           str_replace('"','',strtoupper($row_e["country"])),      $event_xml);                
                
                fwrite($handle,str_replace('|',"\n",$event_xml));
                fwrite($handle,"\n");     
                if($this->add_epg_to_akpa==1)
                {    
                    fwrite($f,str_replace('|',"\n",$event_xml));
                    fwrite($f,"\n");
                }
                $event_id++;
            }
            //footer scheduler dla kanalu
            if($this->add_epg_to_akpa==1)
            {
                fwrite($f,$this->footer_scheduler_xml);
                fwrite($f,"\n");              
            }
            fwrite($handle,$this->footer_scheduler_xml);
            fwrite($handle,"\n");  
            if($this->gen_to_separate_files==1)
            {    
                fwrite($handle,$this->footer_doc_xml);
                fclose($handle);
            }
        }    
        //footer dla dokumentu
        if($this->add_epg_to_akpa==1)
        {
            fwrite($f,$this->footer_doc_xml);              
            fclose($f);        
        }
        if($this->gen_to_separate_files==0)
        {    
            fwrite($handle,$this->footer_doc_xml);              
            fclose($handle);
        }
     }     
   }
?>