# ---------------------------------------
# Host     : 84.38.95.229
# Port     : 3306
# Database : epg


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES latin1 */;

SET FOREIGN_KEY_CHECKS=0;

#CREATE DATABASE `epg`
#    CHARACTER SET 'latin1'
#    COLLATE 'latin1_swedish_ci';

#USE `epg`;

#
# Structure for the `epg_channels` table : 
#

CREATE TABLE `epg_channels` (
  `ids` INTEGER(11) NOT NULL AUTO_INCREMENT,
  `channel_ids` VARCHAR(50) COLLATE utf8_general_ci DEFAULT NULL,
  `description` VARCHAR(250) COLLATE utf8_general_ci DEFAULT NULL,
  `selected` INTEGER(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`IDS`),
  UNIQUE KEY `channel_ids` (`channel_ids`)
)ENGINE=MyISAM
AUTO_INCREMENT=439 CHARACTER SET 'utf8' COLLATE 'utf8_general_ci';

#
# Structure for the `epg_command` table : 
#

CREATE TABLE `epg_command` (
  `id` INTEGER(11) NOT NULL AUTO_INCREMENT,
  `c_index` INTEGER(11) NOT NULL,
  `command` VARCHAR(1024) COLLATE latin1_swedish_ci DEFAULT NULL,
  `comment` VARCHAR(100) COLLATE utf8_general_ci DEFAULT NULL,
  `doc_header` LONGTEXT,
  `scheduler_header` LONGTEXT,
  `event` LONGTEXT,
  `scheduler_footer` LONGTEXT,
  `doc_footer` LONGTEXT,
  `command2` LONGTEXT NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `c_index` (`c_index`)
)ENGINE=MyISAM
AUTO_INCREMENT=19 CHARACTER SET 'utf8' COLLATE 'utf8_general_ci';

#
# Structure for the `epg_config` table : 
#

CREATE TABLE `epg_config` (
  `ID` INTEGER(11) NOT NULL AUTO_INCREMENT,
  `CHANEL_ID` VARCHAR(100) COLLATE utf8_general_ci DEFAULT NULL,
  `UTC_OFFSET` INTEGER(11) DEFAULT NULL,
  `DBV_EVENT_ID` INTEGER(11) DEFAULT '0',
  `START_TIME` TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  `END_TIME` TIMESTAMP DEFAULT '0000-00-00 00:00:00',
  `PRODUCTION_YEAR` INTEGER(11) DEFAULT NULL,
  `ACTORS` VARCHAR(256) COLLATE latin1_swedish_ci DEFAULT NULL,
  `CHARACTERS` VARCHAR(256) COLLATE latin1_swedish_ci DEFAULT NULL,
  `DIRECTORS` VARCHAR(256) COLLATE latin1_swedish_ci DEFAULT NULL,
  `GENRE_LEVEL` VARCHAR(10) COLLATE latin1_swedish_ci DEFAULT NULL,
  `ORIGINAL_TITLE` VARCHAR(80) COLLATE latin1_swedish_ci DEFAULT NULL,
  `RATING` INTEGER(11) DEFAULT '7',
  `SHORT_DESCRIPTION` VARCHAR(128) COLLATE latin1_swedish_ci DEFAULT NULL,
  `SHORT_SYNOPSIS` VARCHAR(256) COLLATE latin1_swedish_ci DEFAULT NULL,
  `LONG_SYNOPSIS` VARCHAR(1024) COLLATE latin1_swedish_ci DEFAULT NULL,
  `PRODUCTION_COUNTRY` VARCHAR(40) COLLATE latin1_swedish_ci DEFAULT NULL,
  `TEXT_A` VARCHAR(250) COLLATE latin1_swedish_ci DEFAULT NULL,
  `PRIVATE_DATA_SPECIFIER` INTEGER(11) DEFAULT NULL,
  `TAG_2` INTEGER(11) DEFAULT NULL,
  `DATA_FORMAT` VARCHAR(1) COLLATE latin1_swedish_ci DEFAULT NULL,
  `DATA_A` VARCHAR(1000) COLLATE latin1_swedish_ci DEFAULT NULL,
  `CHECK_A` SMALLINT(6) DEFAULT '1',
  `COUNTRY` VARCHAR(3) COLLATE latin1_swedish_ci DEFAULT NULL,
  `STREAM_CONTENT` INTEGER(11) DEFAULT NULL,
  `LANGUAGE_CODE` VARCHAR(3) COLLATE latin1_swedish_ci DEFAULT NULL,
  `TITLE` VARCHAR(128) COLLATE latin1_swedish_ci DEFAULT NULL,
  `TYPE_A` INTEGER(11) DEFAULT NULL,
  `TAG` INTEGER(11) DEFAULT NULL,
  `LANGUAGE_CODE_2` VARCHAR(3) COLLATE latin1_swedish_ci DEFAULT NULL,
  `DATA_B` DATE DEFAULT NULL,
  `TIME_B` TIME DEFAULT NULL,
  `TIME_C` TIME DEFAULT NULL,
  `HOST_SSH` VARCHAR(30) COLLATE latin1_swedish_ci DEFAULT NULL,
  `LOGIN_SSH` VARCHAR(30) COLLATE latin1_swedish_ci DEFAULT NULL,
  `PASSWORD_SSH` VARCHAR(30) COLLATE latin1_swedish_ci DEFAULT NULL,
  `PORT_SSH` CHAR(10) COLLATE latin1_swedish_ci DEFAULT NULL,
  `REMOTE_DIR` VARCHAR(255) COLLATE latin1_swedish_ci DEFAULT NULL,
  `GEN_XML_FILE` VARCHAR(250) COLLATE latin1_swedish_ci DEFAULT NULL,
  `TIME_START` INTEGER(11) DEFAULT NULL,
  `TIME_END` INTEGER(11) DEFAULT NULL,
  `encoding` VARCHAR(50) COLLATE utf8_general_ci DEFAULT 'iso-8859-2',
  PRIMARY KEY (`ID`)
)ENGINE=MyISAM
AUTO_INCREMENT=2 CHARACTER SET 'utf8' COLLATE 'utf8_general_ci';

#
# Structure for the `epg_genre` table : 
#

CREATE TABLE `epg_genre` (
  `ID` INTEGER(11) NOT NULL AUTO_INCREMENT,
  `GENRE_LEVEL` VARCHAR(5) COLLATE utf8_general_ci DEFAULT NULL,
  `OPIS` VARCHAR(150) COLLATE utf8_general_ci DEFAULT NULL,
  `genre_hex1` VARCHAR(4) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `genre_hex2` VARCHAR(4) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `category` VARCHAR(30) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `sub_category` VARCHAR(100) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`)
)ENGINE=MyISAM
AUTO_INCREMENT=243 CHARACTER SET 'utf8' COLLATE 'utf8_general_ci';

#
# Structure for the `epg_import_code` table : 
#

CREATE TABLE `epg_import_code` (
  `id` INTEGER(11) NOT NULL AUTO_INCREMENT,
  `import_name` VARCHAR(250) COLLATE utf8_general_ci DEFAULT 'Interia',
  `channel_ids` VARCHAR(50) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `command` VARCHAR(2048) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `export_name` VARCHAR(100) COLLATE utf8_general_ci DEFAULT 'xmltv',
  `export_channel` VARCHAR(50) COLLATE utf8_general_ci DEFAULT NULL,
  `description` VARCHAR(250) COLLATE utf8_general_ci DEFAULT NULL,
  `command_2` VARCHAR(2048) COLLATE utf8_general_ci DEFAULT NULL,
  `color_id` INTEGER(20) DEFAULT '0',
  `channel_ids_alias` VARCHAR(50) COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `selected` INTEGER(11) DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `channel_ids` (`channel_ids`)
)ENGINE=MyISAM
AUTO_INCREMENT=347 CHARACTER SET 'utf8' COLLATE 'utf8_general_ci';

#
# Structure for the `epg_language_code` table : 
#

CREATE TABLE `epg_language_code` (
  `id` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `language_code` VARCHAR(100) COLLATE utf8_general_ci DEFAULT NULL,
  `description` VARCHAR(200) COLLATE utf8_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
)ENGINE=MyISAM
AUTO_INCREMENT=395 CHARACTER SET 'utf8' COLLATE 'utf8_general_ci';

#
# Structure for the `epg_parental_rating` table : 
#

CREATE TABLE `epg_parental_rating` (
  `ids` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `rating_code` VARCHAR(4) COLLATE utf8_general_ci DEFAULT NULL,
  `description` VARCHAR(200) COLLATE utf8_general_ci DEFAULT NULL,
  `rating_id` INTEGER(11) DEFAULT NULL,
  PRIMARY KEY (`ids`)
)ENGINE=MyISAM
AUTO_INCREMENT=374 CHARACTER SET 'utf8' COLLATE 'utf8_general_ci';

#
# Structure for the `epg_prod_country` table : 
#

CREATE TABLE `epg_prod_country` (
  `id` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `country_id` VARCHAR(100) COLLATE utf8_general_ci DEFAULT NULL,
  `description` VARCHAR(200) COLLATE utf8_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
)ENGINE=MyISAM
AUTO_INCREMENT=483 CHARACTER SET 'utf8' COLLATE 'utf8_general_ci';

#
# Structure for the `epg_text` table : 
#

CREATE TABLE `epg_text` (
  `id` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `parentid` INTEGER(11) DEFAULT NULL,
  `start_date` TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  `finish_date` TIMESTAMP DEFAULT '0000-00-00 00:00:00',
  `text` VARCHAR(128) COLLATE utf8_general_ci DEFAULT NULL,
  `recurenceindex` INTEGER(11) DEFAULT NULL,
  `channel_id` VARCHAR(200) COLLATE utf8_general_ci DEFAULT NULL,
  `location` VARCHAR(255) COLLATE utf8_general_ci DEFAULT NULL,
  `details` VARCHAR(4096) COLLATE utf8_general_ci DEFAULT NULL,
  `reminder` INTEGER(11) DEFAULT NULL,
  `state` INTEGER(11) DEFAULT NULL,
  `typ` INTEGER(11) DEFAULT '0',
  `data_rej` TIMESTAMP DEFAULT '0000-00-00 00:00:00',
  `message1` VARCHAR(4096) COLLATE utf8_general_ci DEFAULT NULL,
  `message2` VARCHAR(255) COLLATE utf8_general_ci DEFAULT NULL,
  `programy` VARCHAR(100) COLLATE utf8_general_ci DEFAULT NULL,
  `caption` VARCHAR(255) COLLATE utf8_general_ci DEFAULT NULL,
  `event_id` INTEGER(11) DEFAULT NULL,
  `utc_offset` INTEGER(11) DEFAULT NULL,
  `dbv_event_id` INTEGER(11) DEFAULT NULL,
  `production_year` INTEGER(4) DEFAULT '2016',
  `actors` VARCHAR(256) COLLATE utf8_general_ci DEFAULT ' ',
  `characters` VARCHAR(256) COLLATE utf8_general_ci DEFAULT ' ',
  `directors` VARCHAR(256) COLLATE utf8_general_ci DEFAULT ' ',
  `genre_level` VARCHAR(10) COLLATE utf8_general_ci DEFAULT '0:0',
  `original_title` VARCHAR(80) COLLATE utf8_general_ci DEFAULT ' ',
  `rating` VARCHAR(4) COLLATE utf8_general_ci DEFAULT '7',
  `short_synopsis` VARCHAR(256) COLLATE utf8_general_ci DEFAULT ' ',
  `long_synopsis1` VARCHAR(1024) COLLATE utf8_general_ci DEFAULT ' ',
  `production_country` VARCHAR(40) COLLATE utf8_general_ci DEFAULT 'POL',
  `text_a` VARCHAR(250) COLLATE utf8_general_ci DEFAULT NULL,
  `private_data_specifier` INTEGER(11) DEFAULT NULL,
  `tag_2` INTEGER(11) DEFAULT NULL,
  `data_format` VARCHAR(1) COLLATE utf8_general_ci DEFAULT NULL,
  `data_a` VARCHAR(1000) COLLATE utf8_general_ci DEFAULT NULL,
  `check_a` INTEGER(11) DEFAULT '1',
  `country` VARCHAR(3) COLLATE utf8_general_ci DEFAULT NULL,
  `stream_content` INTEGER(11) DEFAULT NULL,
  `language_code` VARCHAR(3) COLLATE utf8_general_ci DEFAULT 'POL',
  `type_a` INTEGER(11) DEFAULT NULL,
  `tag` INTEGER(11) DEFAULT NULL,
  `language_code_2` VARCHAR(3) COLLATE utf8_general_ci DEFAULT NULL,
  `data_b` DATE DEFAULT NULL,
  `time_b` TIME DEFAULT NULL,
  `time_c` TIME DEFAULT NULL,
  `long_synopsis2` VARCHAR(1024) COLLATE utf8_general_ci DEFAULT NULL,
  `long_synopsis3` VARCHAR(250) COLLATE utf8_general_ci DEFAULT NULL,
  `long_synopsis4` VARCHAR(250) COLLATE utf8_general_ci DEFAULT NULL,
  `recurenceid` INTEGER(11) DEFAULT NULL,
  `short_description` VARCHAR(128) COLLATE utf8_general_ci DEFAULT ' ',
  `title` VARCHAR(100) COLLATE utf8_general_ci NOT NULL DEFAULT ' ',
  PRIMARY KEY (`id`)
)ENGINE=MyISAM
AUTO_INCREMENT=598774 CHARACTER SET 'utf8' COLLATE 'utf8_general_ci';

#
# Data for the `epg_channels` table  (LIMIT 0,500)
#

INSERT INTO `epg_channels` (`IDS`, `channel_ids`, `description`, `selected`) VALUES 
  (223,'TVM','TVM',0),
  (224,'TVN','TVN',0),
  (225,'Polsat','Polsat',1),
  (226,'TVP 1','TVP 1',1),
  (227,'TVP 2','TVP 2',1),
  (228,'TV 4','TV 4',0),
  (229,'TVP Polonia','TVP Polonia',0),
  (230,'TVP Info','TVP Info',0),
  (231,'TV Puls','TV Puls',0),
  (232,'13th Street Universal','13th Street Universal',0),
  (233,'4 Fun TV','4 Fun TV',1),
  (234,'Ale kino+','Ale kino+',0),
  (235,'Animal Planet','Animal Planet',0),
  (236,'AXN','AXN',0),
  (237,'AXN Crime','AXN Crime',1),
  (238,'AXN Sci-fi','AXN Sci-fi',0),
  (239,'BBC CBeebies','BBC CBeebies',1),
  (240,'BBC Entertainment','BBC Entertainment',0),
  (241,'BBC Knowledge','BBC Knowledge',1),
  (242,'BBC Lifestyle','BBC Lifestyle',1),
  (243,'Bloomberg','Bloomberg',0),
  (244,'Boomerang','Boomerang',0),
  (245,'Canal+','Canal+',0),
  (246,'Canal+  Film','Canal+  Film',0),
  (247,'Canal+  Film HD','Canal+  Film HD',0),
  (248,'Canal+ Gol','Canal+ Gol',0),
  (249,'Canal+ Sport','Canal+ Sport',0),
  (250,'Canal+ Sport HD','Canal+ Sport HD',0),
  (251,'Cartoon Network','Cartoon Network',0),
  (252,'Cinemax','Cinemax',0),
  (253,'Cinemax 2','Cinemax 2',0),
  (254,'Comedy Central','Comedy Central',0),
  (255,'DaVinci Learning','DaVinci Learning',0),
  (256,'Discovery','Discovery',0),
  (257,'Discovery HD Showcase','Discovery HD Showcase',0),
  (258,'Discovery Science','Discovery Science',0),
  (259,'Discovery World','Discovery World',0),
  (260,'Disney Channel','Disney Channel',0),
  (261,'Disney Junior','Disney Junior',0),
  (262,'Disney XD','Disney XD',0),
  (263,'Domo+','Domo+',0),
  (264,'Edusat','Edusat',0),
  (265,'Eurosport','Eurosport',0),
  (266,'Eurosport 2','Eurosport 2',0),
  (267,'Eurosport HD','Eurosport HD',0),
  (268,'Extreme Sports','Extreme Sports',0),
  (269,'Fashion TV','Fashion TV',0),
  (270,'FilmBox','FilmBox',0),
  (271,'FilmBox Extra','FilmBox Extra',0),
  (272,'FilmBox Family','FilmBox Family',0),
  (273,'FilmBox HD','FilmBox HD',0),
  (274,'FOX','FOX',0),
  (275,'FOX HD','FOX HD',0),
  (276,'FOXlife','FOXlife',0),
  (277,'HBO','HBO',0),
  (278,'HBO Comedy','HBO Comedy',0),
  (279,'HBO HD','HBO HD',0),
  (280,'HBO2','HBO2',0),
  (281,'Hyper+','Hyper+',0),
  (282,'ITVN','ITVN',0),
  (283,'Kids Co','Kids Co',0),
  (284,'Kino Polska','Kino Polska',0),
  (285,'Kuchnia+','Kuchnia+',0),
  (286,'MiniMini+','MiniMini+',0),
  (287,'MTV','MTV',0),
  (288,'Nat Geo Wild','Nat Geo Wild',0),
  (289,'National Geographic','National Geographic',0),
  (290,'National Geographic Channel HD','National Geographic Channel HD',0),
  (291,'Nickelodeon','Nickelodeon',0),
  (292,'nSport','nSport',0),
  (293,'OrangeSport','OrangeSport',0),
  (294,'Planete+','Planete+',0),
  (295,'Polonia 1','Polonia 1',0),
  (296,'Polsat 2','Polsat 2',0),
  (297,'Polsat Café','Polsat Café',0),
  (298,'Polsat Play','Polsat Play',0),
  (299,'Polsat Sport','Polsat Sport',0),
  (300,'Polsat Sport Extra','Polsat Sport Extra',0),
  (301,'Polsat Sport HD','Polsat Sport HD',0),
  (302,'Religia TV','Religia TV',0),
  (303,'Sport Klub','Sport Klub',0),
  (304,'Sport Klub +','Sport Klub +',0),
  (305,'Superstacja','Superstacja',0),
  (306,'TCM 24','TCM 24',0),
  (307,'Tele 5','Tele 5',0),
  (308,'teleTOON+','teleTOON+',0),
  (309,'TLC','TLC',0),
  (310,'Toya Łódź','Toya Łódź',0),
  (311,'Travel Channel','Travel Channel',0),
  (312,'TV 1000','TV 1000',0),
  (313,'TV Biznes','TV Biznes',0),
  (314,'TVN 24','TVN 24',0),
  (315,'TVN 7','TVN 7',0),
  (316,'TVN HD','TVN HD',0),
  (317,'TVN Meteo','TVN Meteo',0),
  (318,'TVN Style','TVN Style',0),
  (319,'TVN Turbo','TVN Turbo',0),
  (320,'TVP Białystok','TVP Białystok',0),
  (321,'TVP Bydgoszcz','TVP Bydgoszcz',0),
  (322,'TVP Gda?sk','TVP Gda?sk',0),
  (323,'TVP HD','TVP HD',0),
  (324,'TVP Historia','TVP Historia',0),
  (325,'TVP Katowice','TVP Katowice',0),
  (326,'TVP Krak�w','TVP Krak�w',0),
  (327,'TVP Kultura','TVP Kultura',0),
  (328,'TVP Lublin','TVP Lublin',0),
  (329,'TVP Łódź','TVP Łódź',0),
  (330,'TVP Olsztyn','TVP Olsztyn',0),
  (331,'TVP Pozna?','TVP Pozna?',0),
  (332,'TVP Rzeszów','TVP Rzeszów',0),
  (333,'TVP Seriale','TVP Seriale',0),
  (334,'TVP Sport','TVP Sport',0),
  (335,'TVP Szczecin','TVP Szczecin',0),
  (336,'TVP Warszawa','TVP Warszawa',0),
  (337,'TVP Wrocław','TVP Wrocław',0),
  (338,'TVS','TVS',0),
  (339,'Universal Channel','Universal Channel',0),
  (340,'VH-1','VH-1',0),
  (341,'Viasat Explorer','Viasat Explorer',0),
  (342,'Viasat History','Viasat History',0),
  (343,'Viva Polska','Viva Polska',0),
  (344,'Wedding TV','Wedding TV',0),
  (345,'WTK Poznań','WTK Poznań',0),
  (346,'Zone Club','Zone Club',0),
  (347,'Zone Europa','Zone Europa',0),
  (348,'Zone Reality','Zone Reality',0),
  (349,'Zone Romantica','Zone Romantica',0),
  (350,'13EME RUE','13EME RUE (franc.)',0),
  (351,'3sat','3sat',0),
  (352,'alpha','alpha',0),
  (353,'ARD','ARD',0),
  (354,'Arte','Arte',1),
  (355,'ATV','ATV (niem.)',0),
  (356,'Bayern 3','Bayern 3',0),
  (358,'Berlin 1','Berlin 1',0),
  (359,'CNBC Europe','CNBC Europe',0),
  (360,'CNN','CNN',0),
  (361,'COM','COM',0),
  (362,'CT1','CT1',0),
  (363,'CT2','CT2',0),
  (364,'DSF','DSF',0),
  (365,'DW TV','DW TV',0),
  (366,'ESPN Classic','ESPN Classic',0),
  (367,'Euronews','Euronews',0),
  (368,'Eurosport (niem.)','Eurosport (niem.)',0),
  (369,'France 2','France 2',1),
  (370,'France 3','France 3',0),
  (371,'Hamburg 1','Hamburg 1',0),
  (372,'Hessen 3','Hessen 3',0),
  (373,'Holland 1','Holland 1',0),
  (374,'Holland 2','Holland 2',0),
  (375,'Holland 3','Holland 3',0),
  (376,'H.O.T.','H.O.T.',0),
  (377,'Italia 1','Italia 1',0),
  (378,'Kabel 1','Kabel 1',0),
  (379,'Kinderkanal','Kinderkanal',0),
  (380,'LA 7','LA 7',0),
  (381,'LOR','LOR',0),
  (382,'M 6','M 6',0),
  (383,'MDR','MDR',0),
  (384,'MTV 2','MTV 2',0),
  (385,'MTV Base','MTV Base',0),
  (386,'MTV (niem.)','MTV (niem.)',0),
  (387,'N 24','N 24',0),
  (388,'N 3','N 3',0),
  (389,'Nova','Nova',0),
  (390,'n-tv','n-tv',0),
  (391,'ORF 1','ORF 1',0),
  (392,'ORF 2','ORF 2',0),
  (393,'Phoenix','Phoenix',0),
  (394,'Premiere: 13th Street (niem.)','Premiere: 13th Street (niem.)',0),
  (395,'Premiere: Beate Uhse (niem.)','Premiere: Beate Uhse (niem.)',0),
  (396,'Premiere: Blue Movie 1 (niem.)','Premiere: Blue Movie 1 (niem.)',0),
  (397,'Premiere: Blue Movie 2 (niem.)','Premiere: Blue Movie 2 (niem.)',0),
  (398,'Premiere: Blue Movie 3 (niem.)','Premiere: Blue Movie 3 (niem.)',0),
  (399,'Premiere: Cine Action (niem.)','Premiere: Cine Action (niem.)',0),
  (400,'Premiere: Classica (niem.)','Premiere: Classica (niem.)',0),
  (401,'Premiere: Discovery Channel (niem.)','Premiere: Discovery Channel (niem.)',0),
  (402,'Premiere: Disney Channel (niem.)','Premiere: Disney Channel (niem.)',0),
  (403,'Premiere: Goldstar TV (niem.)','Premiere: Goldstar TV (niem.)',0),
  (404,'Premiere: Heimatkanal (niem.)','Premiere: Heimatkanal (niem.)',0),
  (405,'Premiere: Junior (niem.)','Premiere: Junior (niem.)',0),
  (406,'Premiere: Krimi & Co (niem.)','Premiere: Krimi & Co (niem.)',0),
  (407,'Premiere: Sci-Fantasy (niem.)','Premiere: Sci-Fantasy (niem.)',0),
  (408,'Pro 7','Pro 7',0),
  (409,'RAI','RAI',0),
  (410,'RAI2','RAI2',0),
  (411,'RAI3','RAI3',0),
  (412,'RETE4','RETE4',0),
  (413,'RTL','RTL',0),
  (414,'RTL 2','RTL 2',0),
  (415,'SAT.1','SAT.1',0),
  (416,'SF 1','SF 1',0),
  (417,'SF 2','SF 2',0),
  (418,'Star TV','Star TV',0),
  (419,'Super RTL','Super RTL',0),
  (420,'Südwest 3','Südwest 3',0),
  (421,'T24','T24',0),
  (422,'TC Cinema','TC Cinema',0),
  (423,'TC Star','TC Star',0),
  (424,'TELE5','TELE5',0),
  (425,'TF 1','TF 1',0),
  (426,'TheaterKanal','TheaterKanal',0),
  (427,'TI2','TI2',0),
  (428,'TSI','TSI',0),
  (429,'TSR','TSR',0),
  (430,'TSR 2','TSR 2',0),
  (431,'TV 5 Europe','TV 5 Europe',0),
  (432,'TV Berlin','TV Berlin',0),
  (433,'VH-1 Classic','VH-1 Classic',0),
  (434,'Viva 1','Viva 1',0),
  (435,'Vox','Vox',0),
  (436,'WDR','WDR',0),
  (437,'ZDF','ZDF',0);
COMMIT;

#
# Data for the `epg_command` table  (LIMIT 0,500)
#

INSERT INTO `epg_command` (`id`, `c_index`, `COMMAND`, `comment`, `doc_header`, `scheduler_header`, `event`, `scheduler_footer`, `doc_footer`, `command2`) VALUES 
  (17,1,'','XML w formacie DIVITECH','<?xml version=\"1.0\" encoding=\"$encoding$\"?>|<!DOCTYPE DIVITECH_IMPORT_v3_20 SYSTEM \"EPG32.dtd\">|<divitech_import_v3_20>','\t<schedule channel_id=\"$channel_id$\" utc_offset=\"0\">','\t\t<event event_id=\"$event_id$\" start_time=\"$start_date$\" end_time=\"$end_date$\" production_year=\"$production_year$\" genre_level=\"$genre_level$\" original_title=\"$original_title$\">|\t\t\t<description language_code=\"$language_code$\" title=\"$title$\" short_description=\"$short_description$\" short_synopsis=\"$short_synopsis$\" long_synopsis=\"$long_synopsis$\" production_country=\"$production_country$\"></description>|<parental_rating rating=\"$rating$\" country=\"$country$\"></parental_rating>|\t\t</event>','\t</schedule>','</divitech_import_v3_20>',''),
  (18,2,NULL,'Plik w formacie CVS',' ',' ','\t<schedule channel_id=\"$channel_id$\" utc_offset=\"0\"> \t\t<event event_id=\"$event_id$\" start_time=\"$start_date$\" end_time=\"$end_date$\" production_year=\"$production_year$\" genre_level=\"$genre_level$\" original_title=\"$original_title$\">|\t\t\t<description language_code=\"$language_code$\" title=\"$title$\" short_description=\"$short_description$\" short_synopsis=\"$short_synopsis$\" long_synopsis=\"$long_synopsis$\" production_country=\"$production_country$\"></description>|<parental_rating rating=\"$rating$\" country=\"$country$\"></parental_rating>|\t\t</event>',' ',' ','');
COMMIT;

#
# Data for the `epg_genre` table  (LIMIT 0,500)
#

INSERT INTO `epg_genre` (`ID`, `GENRE_LEVEL`, `OPIS`, `genre_hex1`, `genre_hex2`, `category`, `sub_category`) VALUES 
  (154,'0:0','Interruption','0x0','0x0','',''),
  (155,'1:0','Movie / drama (general)','0x1','0x0','movie/drama (general)',''),
  (156,'1:1','Detective, thriller','0x1','0x1','detective/thriller',''),
  (157,'1:2','Adventure,western,war','0x1','0x2','adventure/western/war',''),
  (158,'1:3','science fiction/fantasy/horror','0x1','0x3','science fiction/fantasy/horror',''),
  (159,'1:4','Comedy','0x1','0x4','comedy',''),
  (160,'1:5','soap/melodrama/folkloric','0x1','0x5','soap/melodrama/folkloric',''),
  (161,'1:6','Romance','0x1','0x6','romance',''),
  (162,'1:7','serious/classical/religious/history','0x1','0x7','serious/classical/religious/hi',''),
  (163,'1:8','adult movie/drama','0x1','0x8','adult movie/drama',''),
  (164,'1:15','User defined','0x1','0xF','user defined',''),
  (165,'2:0','news/current affairs (general)','0x2','0x0','news/current affairs (general)',''),
  (166,'2:1','news/weather report','0x2','0x1','news/weather report',''),
  (167,'2:2','News, magazine','0x2','0x2','news magazine',''),
  (168,'2:3','Documentary','0x2','0x3','documentary',''),
  (169,'2:4','discussion/interview/debate','0x2','0x4','discussion/interview/debate',''),
  (170,'2:15','User define','0x2','0xF','user defined',''),
  (171,'3:0','Reality show','0x3','0x0','show/game show (general)',''),
  (172,'3:1','game show/quiz/contest','0x3','0x1','game show/quiz/contest',''),
  (173,'3:2','variety show','0x3','0x2','variety show',''),
  (174,'3:3','Talk show','0x3','0x3','talk show',''),
  (175,'3:15','User defined','0x3','0xF','user defined',''),
  (176,'4:0','Sports (general)','0x4','0x0','sports (general)',''),
  (177,'4:2','Sports magazines','0x4','0x2','sports magazines',''),
  (178,'4:3','Football/soccer','0x4','0x3','football/soccer',''),
  (179,'4:4','Tenis/squash','0x4','0x4','tennis/squash',''),
  (180,'4:5','team sports (excluding footbal)','0x4','0x5','team sports (excluding footbal)',''),
  (181,'4:6','athletics','0x4','0x6','athletics',''),
  (182,'4:7','Motor sports','0x4','0x7','motor sport',''),
  (183,'4:8','Water sports','0x4','0x8','water sport',''),
  (184,'4:9','Winter sports','0x4','0x9','winter sports',''),
  (185,'4:10','Equestrian','0x4','0xA','equestrian',''),
  (186,'4:11','Martial sports','0x4','0xB','martial sports',''),
  (187,'4:15','User defined','0x4','0xF','user defined',''),
  (188,'5:0','Children"s/youth programmes (general)','0x5','0x0','children''s/youth programmes (g',''),
  (189,'5:1','pre-school children''s programm','0x5','0x1','pre-school children''s programm',''),
  (190,'5:2','Entertainment programmes for 6','0x5','0x2','entertainment programmes for 6',''),
  (191,'5:3','Entertainment programmes for 1','0x5','0x3','entertainment programmes for 1',''),
  (192,'5:4','Informational/educational/school','0x5','0x4','informational/educational/scho',''),
  (193,'5:5','Cartoons/puppets','0x5','0x5','cartoons/puppets',''),
  (194,'5:15','User defined','0x5','0xF','user defined',''),
  (195,'6:0','Music/ballet/dance (general)','0x6','0x0','music/ballet/dance (general)',''),
  (196,'6:1','Rock/pop','0x6','0x1','rock/pop',''),
  (197,'6:2','Serious music/classical music','0x6','0x2','serious music/classical music',''),
  (198,'6:3','Folk/traditional music','0x6','0x3','folk/traditional music',''),
  (199,'6:4','Jazz','0x6','0x4','jazz',''),
  (200,'6:5','Musical/opera','0x6','0x5','musical/opera',''),
  (201,'6:6','Ballet','0x6','0x6','ballet',''),
  (202,'6:15','User defined','0x6','0xF','user defined',''),
  (203,'7:0','Arts/culture (without music)','0x7','0x0','arts/culture (without music, g',''),
  (204,'7:1','Performing arts','0x7','0x1','performing arts',''),
  (205,'7:2','Fine arts','0x7','0x2','fine arts',''),
  (206,'7:3','Religion','0x7','0x3','religion',''),
  (207,'7:4','Popular culture/traditional art','0x7','0x4','popular culture/traditional ar',''),
  (208,'7:5','Literature','0x7','0x5','literature',''),
  (209,'7:6','Film/cinema','0x7','0x6','film/cinema',''),
  (210,'7:7','Experimental film/video','0x7','0x7','experimental film/video',''),
  (211,'7:8','Broadcasting/press','0x7','0x8','broadcasting/press',''),
  (212,'7:9','New media','0x7','0x9','new media',''),
  (213,'7:10','Arts/culture magazines','0x7','0xA','arts/culture magazines',''),
  (214,'7:11','Fashion','0x7','0xB','fashion',''),
  (215,'7:15','User defined','0x7','0xF','user defined',''),
  (216,'8:0','Social/political issues/econom','0x8','0x0','social/political issues/econom',''),
  (217,'8:1','Magazines/reports/documentary','0x8','0x1','magazines/reports/documentary',''),
  (218,'8:2','Economics/social advisory','0x8','0x2','economics/social advisory',''),
  (219,'8:3','Remarkable people','0x8','0x3','remarkable people',''),
  (220,'8:15','User defined','0x8','0xF','user defined',''),
  (221,'9:0','Education/science/factual topics','0x9','0x0','education/science/factual topi',''),
  (222,'9:2','Technology/natural sciences','0x9','0x2','technology/natural sciences',''),
  (223,'9:3','Medicine/physiology/psychology','0x9','0x3','medicine/physiology/psychology',''),
  (224,'9:4','Foreign countries/expeditions','0x9','0x4','foreign countries/expeditions',''),
  (225,'9:5','Social/spiritual sciences','0x9','0x5','social/spiritual sciences',''),
  (226,'9:6','Further education','0x9','0x6','further education',''),
  (227,'9:7','Languages','0x9','0x7','languages',''),
  (228,'9:1','Nature/animals/environment','0x9','0x1','nature/animals/environment',''),
  (229,'10:0','Leisure hobbies (general)','0xA','0x0','leisure hobbies (general)',''),
  (230,'10:1','Tourism/travel','0xA','0x1','tourism/travel',''),
  (231,'10:2','Handicraft','0xA','0x2','handicraft',''),
  (232,'10:3','Motoring','0xA','0x3','motoring',''),
  (233,'10:4','Fitness and health','0xA','0x4','fitness and health',''),
  (234,'10:5','Cooking','0xA','0x5','cooking',''),
  (235,'10:6','Advertisement/shopping','0xA','0x6','advertisement/shopping',''),
  (236,'10:7','Gardening','0xA','0x7','gardening',''),
  (237,'10:15','User defined','0xA','0xF','user defined',''),
  (238,'11:0','Original language','0xB','0x0','original language',''),
  (239,'11:1','Black and white','0xB','0x1','black and white',''),
  (240,'11:2','Unpublished','0xB','0x2','unpublished',''),
  (241,'11:3','Live broadcast','0xB','0x3','live broadcast',''),
  (242,'11:15','User defined','0xB','0xF','user defined','');
COMMIT;

#
# Data for the `epg_import_code` table  (LIMIT 0,500)
#

INSERT INTO `epg_import_code` (`id`, `import_name`, `channel_ids`, `command`, `export_name`, `export_channel`, `description`, `command_2`, `color_id`, `channel_ids_alias`, `selected`) VALUES 
  (217,'TelemanPl','13th-Street-Universal','13th Street','xmltv',NULL,NULL,NULL,0,'',0),
  (218,'TelemanPl','4fun-TV','4fun TV','xmltv',NULL,NULL,NULL,0,'',0),
  (219,'TelemanPl','Ale-Kino','ale kino+','xmltv',NULL,NULL,NULL,0,'',0),
  (220,'TelemanPl','Animal-Planet','Animal Planet','xmltv',NULL,NULL,NULL,0,'',0),
  (221,'TelemanPl','Animal-Planet-HD','Animal Planet HD','xmltv',NULL,NULL,NULL,0,'',0),
  (222,'TelemanPl','AXN','AXN','xmltv',NULL,NULL,NULL,0,'',0),
  (223,'TelemanPl','AXN-Crime','AXN Crime','xmltv',NULL,NULL,NULL,0,'',0),
  (224,'TelemanPl','AXN-SciFi','AXN Sci-Fi','xmltv',NULL,NULL,NULL,0,'',0),
  (225,'TelemanPl','AXN-Spin','AXN Spin','xmltv',NULL,NULL,NULL,0,'',0),
  (226,'TelemanPl','BBC-Cbeebies','BBC Cbeebies','xmltv',NULL,NULL,NULL,0,'',0),
  (227,'TelemanPl','BBC-Entertainment','BBC Entertain.','xmltv',NULL,NULL,NULL,0,'',0),
  (228,'TelemanPl','BBC-HD','BBC HD','xmltv',NULL,NULL,NULL,0,'',1),
  (229,'TelemanPl','BBC-Knowledge','BBC Knowledge','xmltv',NULL,NULL,NULL,0,'',1),
  (230,'TelemanPl','BBC-Lifestyle','BBC Lifestyle','xmltv',NULL,NULL,NULL,0,'',0),
  (231,'TelemanPl','Boomerang','Boomerang','xmltv',NULL,NULL,NULL,0,'',0),
  (232,'TelemanPl','CanalPlus','CANAL+','xmltv',NULL,NULL,NULL,0,'',1),
  (233,'TelemanPl','CanalPlus-Film','CANAL+ Film','xmltv',NULL,NULL,NULL,0,'',1),
  (234,'TelemanPl','CanalPlus-Gol','CANAL+ Gol','xmltv',NULL,NULL,NULL,0,'',0),
  (235,'TelemanPl','CanalPlus-Sport','CANAL+ Sport','xmltv',NULL,NULL,NULL,0,'',0),
  (236,'TelemanPl','CanalPlus-Weekend','CANAL+ Weekend','xmltv',NULL,NULL,NULL,0,'',0),
  (237,'TelemanPl','Cartoon-Network','Cartoon Network','xmltv',NULL,NULL,NULL,0,'',0),
  (238,'TelemanPl','Cinemax','Cinemax','xmltv',NULL,NULL,NULL,0,'',1),
  (239,'TelemanPl','Cinemax2','Cinemax 2','xmltv',NULL,NULL,NULL,0,'',0),
  (240,'TelemanPl','Club-TV','Club TV','xmltv',NULL,NULL,NULL,0,'',0),
  (241,'TelemanPl','Comedy-Central','Comedy Central','xmltv',NULL,NULL,NULL,0,'',0),
  (242,'TelemanPl','Comedy-Central-Family','Comedy Central Fam.','xmltv',NULL,NULL,NULL,0,'',0),
  (243,'TelemanPl','Crime-Investigation-Network','Crime &amp; Investigation','xmltv',NULL,NULL,NULL,0,'',0),
  (244,'TelemanPl','Discovery-Channel','Discovery Channel','xmltv',NULL,NULL,NULL,0,'',1),
  (245,'TelemanPl','Discovery-HD-Showcase','Discovery HD Show.','xmltv',NULL,NULL,NULL,0,'',0),
  (246,'TelemanPl','Discovery-Historia','Discovery Historia','xmltv',NULL,NULL,NULL,0,'',1),
  (247,'TelemanPl','Discovery-Science','Discovery Science','xmltv',NULL,NULL,NULL,0,'',1),
  (248,'TelemanPl','Discovery-World','Discovery World','xmltv',NULL,NULL,NULL,0,'',0),
  (249,'TelemanPl','Disney-Channel','Disney Channel','xmltv',NULL,NULL,NULL,0,'',0),
  (250,'TelemanPl','Disney-Junior','Disney Junior','xmltv',NULL,NULL,NULL,0,'',0),
  (251,'TelemanPl','Disney-XD','Disney XD','xmltv',NULL,NULL,NULL,0,'',0),
  (252,'TelemanPl','Domo','Domo+','xmltv',NULL,NULL,NULL,0,'',0),
  (253,'TelemanPl','Edusat','Edusat','xmltv',NULL,NULL,NULL,0,'',0),
  (254,'TelemanPl','Eska-TV','Eska TV','xmltv',NULL,NULL,NULL,0,'',0),
  (255,'TelemanPl','ESPN-Classic','ESPN','xmltv',NULL,NULL,NULL,0,'',0),
  (256,'TelemanPl','ESPN-America','ESPN America','xmltv',NULL,NULL,NULL,0,'',0),
  (257,'TelemanPl','Eurosport','Eurosport','xmltv',NULL,NULL,NULL,0,'',0),
  (258,'TelemanPl','Eurosport-2','Eurosport 2','xmltv',NULL,NULL,NULL,0,'',0),
  (259,'TelemanPl','Extreme','Extreme','xmltv',NULL,NULL,NULL,0,'',0),
  (260,'TelemanPl','Filmbox','Filmbox','xmltv',NULL,NULL,NULL,0,'',0),
  (261,'TelemanPl','Filmbox-Extra','Filmbox Extra','xmltv',NULL,NULL,NULL,0,'',0),
  (262,'TelemanPl','Filmbox-Family','Filmbox Family','xmltv',NULL,NULL,NULL,0,'',0),
  (263,'TelemanPl','Filmbox-HD','Filmbox HD','xmltv',NULL,NULL,NULL,0,'',0),
  (264,'TelemanPl','FOX','FOX','xmltv',NULL,NULL,NULL,0,'',0),
  (265,'TelemanPl','Foxlife','Fox Life','xmltv',NULL,NULL,NULL,0,'',0),
  (266,'TelemanPl','HBO','HBO','xmltv',NULL,NULL,NULL,0,'',1),
  (267,'TelemanPl','HBO2','HBO 2','xmltv',NULL,NULL,NULL,0,'',0),
  (268,'TelemanPl','HBO-Comedy','HBO Comedy','xmltv',NULL,NULL,NULL,0,'',0),
  (269,'TelemanPl','History','HISTORY','xmltv',NULL,NULL,NULL,0,'',0),
  (270,'TelemanPl','History-HD','HISTORY HD','xmltv',NULL,NULL,NULL,0,'',0),
  (271,'TelemanPl','Investigation-Discovery','Investigation Discovery','xmltv',NULL,NULL,NULL,0,'',0),
  (272,'TelemanPl','Jim-Jam','Jim Jam','xmltv',NULL,NULL,NULL,0,'',0),
  (273,'TelemanPl','KidsCo','KidsCo','xmltv',NULL,NULL,NULL,0,'',0),
  (274,'TelemanPl','Kino-Polska','Kino Polska','xmltv',NULL,NULL,NULL,0,'',0),
  (275,'TelemanPl','Kuchnia-TV','Kuchnia+','xmltv',NULL,NULL,NULL,0,'',0),
  (276,'TelemanPl','Mezzo','Mezzo','xmltv',NULL,NULL,NULL,0,'',0),
  (277,'TelemanPl','MGM-HD','MGM HD','xmltv',NULL,NULL,NULL,0,'',0),
  (278,'TelemanPl','MiniMini','MiniMini+','xmltv',NULL,NULL,NULL,0,'',0),
  (279,'TelemanPl','MTV-Polska','MTV Polska','xmltv',NULL,NULL,NULL,0,'',0),
  (280,'TelemanPl','Nat-Geo-Wild','Nat Geo Wild','xmltv',NULL,NULL,NULL,0,'',0),
  (281,'TelemanPl','National-Geographic','National Geo.','xmltv',NULL,NULL,NULL,0,'',1),
  (282,'TelemanPl','Nickelodeon','Nickelodeon','xmltv',NULL,NULL,NULL,0,'',0),
  (283,'TelemanPl','Nickelodeon-HD','Nickelodeon HD','xmltv',NULL,NULL,NULL,0,'',0),
  (284,'TelemanPl','nPremium-HD','nPremium HD','xmltv',NULL,NULL,NULL,0,'',0),
  (285,'TelemanPl','nPremium2-HD','nPremium2 HD','xmltv',NULL,NULL,NULL,0,'',0),
  (286,'TelemanPl','nPremium3-HD','nPremium3 HD','xmltv',NULL,NULL,NULL,0,'',0),
  (287,'TelemanPl','nPremium4-HD','nPremium4 HD','xmltv',NULL,NULL,NULL,0,'',0),
  (288,'TelemanPl','nSport','nSport','xmltv',NULL,NULL,NULL,0,'',0),
  (289,'TelemanPl','Orange-Sport','Orange Sport','xmltv',NULL,NULL,NULL,0,'',0),
  (290,'TelemanPl','Planete','PLANETE+','xmltv',NULL,NULL,NULL,0,'',0),
  (291,'TelemanPl','Podroze-TV','Podroze TV','xmltv',NULL,NULL,NULL,0,'',0),
  (292,'TelemanPl','Polonia-1','Polonia 1','xmltv',NULL,NULL,NULL,0,'',0),
  (293,'TelemanPl','Polsat','Polsat','xmltv',NULL,NULL,NULL,0,'',1),
  (294,'TelemanPl','Polsat-2','Polsat 2','xmltv',NULL,NULL,NULL,0,'',0),
  (295,'TelemanPl','Polsat-Cafe','Polsat Cafe','xmltv',NULL,NULL,NULL,0,'',0),
  (296,'TelemanPl','Polsat-Film','Polsat Film','xmltv',NULL,NULL,NULL,0,'',0),
  (297,'TelemanPl','Polsat-News','Polsat News','xmltv',NULL,NULL,NULL,0,'',0),
  (298,'TelemanPl','Polsat-Play','Polsat Play','xmltv',NULL,NULL,NULL,0,'',0),
  (299,'TelemanPl','Polsat-Sport','Polsat Sport','xmltv',NULL,NULL,NULL,0,'',0),
  (300,'TelemanPl','Polsat-Sport-Extra','Polsat Sport Extra','xmltv',NULL,NULL,NULL,0,'',0),
  (301,'TelemanPl','Polsat-Sport-HD','Polsat Sport HD','xmltv',NULL,NULL,NULL,0,'',0),
  (302,'TelemanPl','Polsat-Sport-News','Polsat Sport News','xmltv',NULL,NULL,NULL,0,'',0),
  (303,'TelemanPl','Religia-TV','Religia.tv','xmltv',NULL,NULL,NULL,0,'',0),
  (304,'TelemanPl','SciFi-Channel','Sci-Fi Channel','xmltv',NULL,NULL,NULL,0,'',0),
  (305,'TelemanPl','SportKlub','SportKlub','xmltv',NULL,NULL,NULL,0,'',0),
  (306,'TelemanPl','SportKlub-Plus','SportKlub+','xmltv',NULL,NULL,NULL,0,'',0),
  (307,'TelemanPl','Superstacja','Superstacja','xmltv',NULL,NULL,NULL,0,'',0),
  (308,'TelemanPl','TCM','TCM','xmltv',NULL,NULL,NULL,0,'',0),
  (309,'TelemanPl','Tele-5','Tele 5','xmltv',NULL,NULL,NULL,0,'',0),
  (310,'TelemanPl','teleTOON-plus','teleTOON+','xmltv',NULL,NULL,NULL,0,'',0),
  (311,'TelemanPl','TLC','TLC','xmltv',NULL,NULL,NULL,0,'',0),
  (312,'TelemanPl','Travel-Channel','Travel','xmltv',NULL,NULL,NULL,0,'',0),
  (313,'TelemanPl','TTV','TTV','xmltv',NULL,NULL,NULL,0,'',0),
  (314,'TelemanPl','TV1000','TV 1000','xmltv',NULL,NULL,NULL,0,'',0),
  (315,'TelemanPl','TV4','TV 4','xmltv',NULL,NULL,NULL,0,'',0),
  (316,'TelemanPl','TV6','TV 6','xmltv',NULL,NULL,NULL,0,'',0),
  (317,'TelemanPl','TV-Biznes','TV Biznes','xmltv',NULL,NULL,NULL,0,'',0),
  (318,'TelemanPl','Puls','TV Puls','xmltv',NULL,NULL,NULL,0,'',0),
  (319,'TelemanPl','TV-Trwam','TV Trwam','xmltv',NULL,NULL,NULL,0,'',0),
  (320,'TelemanPl','TV5-Monde','TV5MONDE','xmltv',NULL,NULL,NULL,0,'',0),
  (321,'TelemanPl','TVN','TVN','xmltv',NULL,NULL,NULL,0,'',0),
  (322,'TelemanPl','TVN24','TVN 24','xmltv',NULL,NULL,NULL,0,'',0),
  (323,'TelemanPl','TVN-Siedem','TVN 7','xmltv',NULL,NULL,NULL,0,'',0),
  (324,'TelemanPl','TVN-CNBC','TVN CNBC','xmltv',NULL,NULL,NULL,0,'',0),
  (325,'TelemanPl','TVN-Style','TVN Style','xmltv',NULL,NULL,NULL,0,'',0),
  (326,'TelemanPl','TVN-Turbo','TVN Turbo','xmltv',NULL,NULL,NULL,0,'',0),
  (327,'TelemanPl','TVP-1','TVP 1','xmltv',NULL,NULL,NULL,0,'',1),
  (328,'TelemanPl','TVP-2','TVP 2','xmltv',NULL,NULL,NULL,0,'',1),
  (329,'TelemanPl','TVP-HD','TVP HD','xmltv',NULL,NULL,NULL,0,'',0),
  (330,'TelemanPl','TVP-Historia','TVP Historia','xmltv',NULL,NULL,NULL,0,'',1),
  (331,'TelemanPl','TVP-Info','TVP Info','xmltv',NULL,NULL,NULL,0,'',0),
  (332,'TelemanPl','TVP-Kultura','TVP Kultura','xmltv',NULL,NULL,NULL,0,'',0),
  (333,'TelemanPl','TVP-Polonia','TVP Polonia','xmltv',NULL,NULL,NULL,0,'',0),
  (334,'TelemanPl','TVP-Seriale','TVP Seriale','xmltv',NULL,NULL,NULL,0,'',0),
  (335,'TelemanPl','TVP-Sport','TVP Sport','xmltv',NULL,NULL,NULL,0,'',0),
  (336,'TelemanPl','TVS','TVS','xmltv',NULL,NULL,NULL,0,'',0),
  (337,'TelemanPl','Universal-Channel','Universal Channel','xmltv',NULL,NULL,NULL,0,'',0),
  (338,'TelemanPl','Viasat-Explorer','Viasat Explorer','xmltv',NULL,NULL,NULL,0,'',0),
  (339,'TelemanPl','Viasat-History','Viasat History','xmltv',NULL,NULL,NULL,0,'',0),
  (340,'TelemanPl','VIVA-Polska','VIVA Polska','xmltv',NULL,NULL,NULL,0,'',0),
  (341,'TelemanPl','Wedding-TV','Wedding TV','xmltv',NULL,NULL,NULL,0,'',0),
  (342,'TelemanPl','Wojna-i-Pokoj','Wojna i PokĂłj','xmltv',NULL,NULL,NULL,0,'',0),
  (343,'TelemanPl','WTK','WTK','xmltv',NULL,NULL,NULL,0,'',0),
  (344,'TelemanPl','Zone-Europa','Zone Europa','xmltv',NULL,NULL,NULL,0,'',0),
  (345,'TelemanPl','Zone-Reality','Zone Reality','xmltv',NULL,NULL,NULL,0,'',0),
  (346,'TelemanPl','Zone-Romantica','Zone Romantica','xmltv',NULL,NULL,NULL,0,'',0);
COMMIT;

#
# Data for the `epg_language_code` table  (LIMIT 0,500)
#

INSERT INTO `epg_language_code` (`id`, `language_code`, `description`) VALUES 
  (365,'alb','Albanian\t'),
  (366,'ara','Arabic\t'),
  (367,'aus','Australian languages\t'),
  (368,'bos','Bosnian\t'),
  (369,'bul','Bulgarian\t'),
  (370,'csb','Kashubian\t'),
  (371,'cze','Czech\t'),
  (372,'dan','Danish\t'),
  (373,'eng','English\t'),
  (374,'epo','Esperanto\t'),
  (375,'fre','French\t'),
  (376,'ger','German\t'),
  (377,'gle','Irish\t'),
  (378,'gre','Greek'),
  (379,'gsw','Swiss German, Alemannic, Alsatian\t'),
  (380,'hun','Hungarian\t'),
  (381,'ira','Iranian languages\t'),
  (382,'ita','Italian\t'),
  (383,'jpn','Japanese\t'),
  (384,'kor','Korean\t'),
  (385,'lat','Latin\t'),
  (386,'mac','Macedonian\t'),
  (387,'nor','Norwegian\t'),
  (388,'pol','Polish\t'),
  (389,'por','Portuguese\t'),
  (390,'rom','Romany\t'),
  (391,'rus','Russian\t'),
  (392,'slo','Slovak\t'),
  (393,'ukr','Ukrainian\t'),
  (394,'usa','USA');
COMMIT;

#
# Data for the `epg_parental_rating` table  (LIMIT 0,500)
#

INSERT INTO `epg_parental_rating` (`ids`, `rating_code`, `description`, `rating_id`) VALUES 
  (369,'bo','no age limit',0),
  (370,'16+','Over 16',13),
  (371,'18+','Over 18',15),
  (372,'7+','Over 7',4),
  (373,'12+','Over 12',9);
COMMIT;

#
# Data for the `epg_prod_country` table  (LIMIT 0,500)
#

INSERT INTO `epg_prod_country` (`id`, `country_id`, `description`) VALUES 
  (242,'POL','Polska'),
  (243,'USA','USA'),
  (244,'AFG','AFGHANISTAN                                 '),
  (245,'ALB','ALBANIA                                     '),
  (246,'DZA','ALGERIA                                     '),
  (247,'ASM','AMERICAN SAMOA                              '),
  (248,'AND','ANDORRA                                     '),
  (249,'AGO','ANGOLA                                      '),
  (250,'AIA','ANGUILLA                                    '),
  (251,'ATA','ANTARCTICA                                  '),
  (252,'ATG','ANTIGUA AND BARBUDA                         '),
  (253,'ARG','ARGENTINA                                   '),
  (254,'ARM','ARMENIA                                     '),
  (255,'ABW','ARUBA                                       '),
  (256,'AUS','AUSTRALIA                                   '),
  (257,'AUT','AUSTRIA                                     '),
  (258,'AZE','AZERBAIJAN                                  '),
  (259,'BHS','BAHAMAS                                     '),
  (260,'BHR','BAHRAIN                                     '),
  (261,'BGD','BANGLADESH                                  '),
  (262,'BRB','BARBADOS                                    '),
  (263,'BLR','BELARUS                                     '),
  (264,'BEL','BELGIUM                                     '),
  (265,'BLZ','BELIZE                                      '),
  (266,'BEN','BENIN                                       '),
  (267,'BMU','BERMUDA                                     '),
  (268,'BTN','BHUTAN                                      '),
  (269,'BOL','BOLIVIA                                     '),
  (270,'BIH','BOSNIA AND HERZEGOWINA                      '),
  (271,'BWA','BOTSWANA                                    '),
  (272,'BVT','BOUVET ISLAND                               '),
  (273,'BRA','BRAZIL                                      '),
  (274,'IOT','BRITISH INDIAN OCEAN TERRITORY              '),
  (275,'BRN','BRUNEI DARUSSALAM                           '),
  (276,'BGR','BULGARIA                                    '),
  (277,'BFA','BURKINA FASO                                '),
  (278,'BDI','BURUNDI                                     '),
  (279,'KHM','CAMBODIA                                    '),
  (280,'CMR','CAMEROON                                    '),
  (281,'CAN','CANADA                                      '),
  (282,'CPV','CAPE VERDE                                  '),
  (283,'CYM','CAYMAN ISLANDS                              '),
  (284,'CAF','CENTRAL AFRICAN REPUBLIC                    '),
  (285,'TCD','CHAD                                        '),
  (286,'CHL','CHILE                                       '),
  (287,'CHN','CHINA                                       '),
  (288,'CXR','CHRISTMAS ISLAND                            '),
  (289,'CCK','COCOS (KEELING) ISLANDS                     '),
  (290,'COL','COLOMBIA                                    '),
  (291,'COM','COMOROS                                     '),
  (292,'COD','CONGO, Democratic Republic of (was Zaire)   '),
  (293,'COG','CONGO, Republic of                          '),
  (294,'COK','COOK ISLANDS                                '),
  (295,'CRI','COSTA RICA                                  '),
  (296,'CIV','COTE D''IVOIRE                               '),
  (297,'HRV','CROATIA (local name: Hrvatska)              '),
  (298,'CUB','CUBA                                        '),
  (299,'CYP','CYPRUS                                      '),
  (300,'CZE','CZECH REPUBLIC                              '),
  (301,'DNK','DENMARK                                     '),
  (302,'DJI','DJIBOUTI                                    '),
  (303,'DMA','DOMINICA                                    '),
  (304,'DOM','DOMINICAN REPUBLIC                          '),
  (305,'ECU','ECUADOR                                     '),
  (306,'EGY','EGYPT                                       '),
  (307,'SLV','EL SALVADOR                                 '),
  (308,'GNQ','EQUATORIAL GUINEA                           '),
  (309,'ERI','ERITREA                                     '),
  (310,'EST','ESTONIA                                     '),
  (311,'ETH','ETHIOPIA                                    '),
  (312,'FLK','FALKLAND ISLANDS (MALVINAS)                 '),
  (313,'FRO','FAROE ISLANDS                               '),
  (314,'FJI','FIJI                                        '),
  (315,'FIN','FINLAND                                     '),
  (316,'FRA','FRANCE                                      '),
  (317,'GUF','FRENCH GUIANA                               '),
  (318,'PYF','FRENCH POLYNESIA                            '),
  (319,'ATF','FRENCH SOUTHERN TERRITORIES                 '),
  (320,'GAB','GABON                                       '),
  (321,'GMB','GAMBIA                                      '),
  (322,'GEO','GEORGIA                                     '),
  (323,'DEU','GERMANY                                     '),
  (324,'GHA','GHANA                                       '),
  (325,'GIB','GIBRALTAR                                   '),
  (326,'GRC','GREECE                                      '),
  (327,'GRL','GREENLAND                                   '),
  (328,'GRD','GRENADA                                     '),
  (329,'GLP','GUADELOUPE                                  '),
  (330,'GUM','GUAM                                        '),
  (331,'GTM','GUATEMALA                                   '),
  (332,'GIN','GUINEA                                      '),
  (333,'GNB','GUINEA-BISSAU                               '),
  (334,'GUY','GUYANA                                      '),
  (335,'HTI','HAITI                                       '),
  (336,'HMD','HEARD AND MC DONALD ISLANDS                 '),
  (337,'HND','HONDURAS                                    '),
  (338,'HKG','HONG KONG                                   '),
  (339,'HUN','HUNGARY                                     '),
  (340,'ISL','ICELAND                                     '),
  (341,'IND','INDIA                                       '),
  (342,'IDN','INDONESIA                                   '),
  (343,'IRN','IRAN (ISLAMIC REPUBLIC OF)                  '),
  (344,'IRQ','IRAQ                                        '),
  (345,'IRL','IRELAND                                     '),
  (346,'ISR','ISRAEL                                      '),
  (347,'ITA','ITALY                                       '),
  (348,'JAM','JAMAICA                                     '),
  (349,'JPN','JAPAN                                       '),
  (350,'JOR','JORDAN                                      '),
  (351,'KAZ','KAZAKHSTAN                                  '),
  (352,'KEN','KENYA                                       '),
  (353,'KIR','KIRIBATI                                    '),
  (354,'PRK','KOREA, DEMOCRATIC PEOPLE''S REPUBLIC OF      '),
  (355,'KOR','KOREA, REPUBLIC OF                          '),
  (356,'KWT','KUWAIT                                      '),
  (357,'KGZ','KYRGYZSTAN                                  '),
  (358,'LAO','LAO PEOPLE''S DEMOCRATIC REPUBLIC            '),
  (359,'LVA','LATVIA                                      '),
  (360,'LBN','LEBANON                                     '),
  (361,'LSO','LESOTHO                                     '),
  (362,'LBR','LIBERIA                                     '),
  (363,'LBY','LIBYAN ARAB JAMAHIRIYA                      '),
  (364,'LIE','LIECHTENSTEIN                               '),
  (365,'LTU','LITHUANIA                                   '),
  (366,'LUX','LUXEMBOURG                                  '),
  (367,'MAC','MACAU                                       '),
  (368,'MKD','MACEDONIA, THE FORMER YUGOSLAV REPUBLIC OF  '),
  (369,'MDG','MADAGASCAR                                  '),
  (370,'MWI','MALAWI                                      '),
  (371,'MYS','MALAYSIA                                    '),
  (372,'MDV','MALDIVES                                    '),
  (373,'MLI','MALI                                        '),
  (374,'MLT','MALTA                                       '),
  (375,'MHL','MARSHALL ISLANDS                            '),
  (376,'MTQ','MARTINIQUE                                  '),
  (377,'MRT','MAURITANIA                                  '),
  (378,'MUS','MAURITIUS                                   '),
  (379,'MYT','MAYOTTE                                     '),
  (380,'MEX','MEXICO                                      '),
  (381,'FSM','MICRONESIA, FEDERATED STATES OF             '),
  (382,'MDA','MOLDOVA, REPUBLIC OF                        '),
  (383,'MCO','MONACO                                      '),
  (384,'MNG','MONGOLIA                                    '),
  (385,'MSR','MONTSERRAT                                  '),
  (386,'MAR','MOROCCO                                     '),
  (387,'MOZ','MOZAMBIQUE                                  '),
  (388,'MMR','MYANMAR                                     '),
  (389,'NAM','NAMIBIA                                     '),
  (390,'NRU','NAURU                                       '),
  (391,'NPL','NEPAL                                       '),
  (392,'NLD','NETHERLANDS                                 '),
  (393,'ANT','NETHERLANDS ANTILLES                        '),
  (394,'NCL','NEW CALEDONIA                               '),
  (395,'NZL','NEW ZEALAND                                 '),
  (396,'NIC','NICARAGUA                                   '),
  (397,'NER','NIGER                                       '),
  (398,'NGA','NIGERIA                                     '),
  (399,'NIU','NIUE                                        '),
  (400,'NFK','NORFOLK ISLAND                              '),
  (401,'MNP','NORTHERN MARIANA ISLANDS                    '),
  (402,'NOR','NORWAY                                      '),
  (403,'OMN','OMAN                                        '),
  (404,'PAK','PAKISTAN                                    '),
  (405,'PLW','PALAU                                       '),
  (406,'PSE','PALESTINIAN TERRITORY, Occupied             '),
  (407,'PAN','PANAMA                                      '),
  (408,'PNG','PAPUA NEW GUINEA                            '),
  (409,'PRY','PARAGUAY                                    '),
  (410,'PER','PERU                                        '),
  (411,'PHL','PHILIPPINES                                 '),
  (412,'PCN','PITCAIRN                                    '),
  (413,'POL','POLAND                                      '),
  (414,'PRT','PORTUGAL                                    '),
  (415,'PRI','PUERTO RICO                                 '),
  (416,'QAT','QATAR                                       '),
  (417,'REU','REUNION                                     '),
  (418,'ROU','ROMANIA                                     '),
  (419,'RUS','RUSSIAN FEDERATION                          '),
  (420,'RWA','RWANDA                                      '),
  (421,'SHN','SAINT HELENA                                '),
  (422,'KNA','SAINT KITTS AND NEVIS                       '),
  (423,'LCA','SAINT LUCIA                                 '),
  (424,'SPM','SAINT PIERRE AND MIQUELON                   '),
  (425,'VCT','SAINT VINCENT AND THE GRENADINES            '),
  (426,'WSM','SAMOA                                       '),
  (427,'SMR','SAN MARINO                                  '),
  (428,'STP','SAO TOME AND PRINCIPE                       '),
  (429,'SAU','SAUDI ARABIA                                '),
  (430,'SEN','SENEGAL                                     '),
  (431,'SCG','SERBIA AND MONTENEGRO                       '),
  (432,'SYC','SEYCHELLES                                  '),
  (433,'SLE','SIERRA LEONE                                '),
  (434,'SGP','SINGAPORE                                   '),
  (435,'SVK','SLOVAKIA                                    '),
  (436,'SVN','SLOVENIA                                    '),
  (437,'SLB','SOLOMON ISLANDS                             '),
  (438,'SOM','SOMALIA                                     '),
  (439,'ZAF','SOUTH AFRICA                                '),
  (440,'SGS','SOUTH GEORGIA AND THE SOUTH SANDWICH ISLANDS'),
  (441,'ESP','SPAIN                                       '),
  (442,'LKA','SRI LANKA                                   '),
  (443,'SDN','SUDAN                                       '),
  (444,'SUR','SURINAME                                    '),
  (445,'SJM','SVALBARD AND JAN MAYEN ISLANDS              '),
  (446,'SWZ','SWAZILAND                                   '),
  (447,'SWE','SWEDEN                                      '),
  (448,'CHE','SWITZERLAND                                 '),
  (449,'SYR','SYRIAN ARAB REPUBLIC                        '),
  (450,'TWN','TAIWAN                                      '),
  (451,'TJK','TAJIKISTAN                                  '),
  (452,'TZA','TANZANIA, UNITED REPUBLIC OF                '),
  (453,'THA','THAILAND                                    '),
  (454,'TLS','TIMOR-LESTE                                 '),
  (455,'TGO','TOGO                                        '),
  (456,'TKL','TOKELAU                                     '),
  (457,'TON','TONGA                                       '),
  (458,'TTO','TRINIDAD AND TOBAGO                         '),
  (459,'TUN','TUNISIA                                     '),
  (460,'TUR','TURKEY                                      '),
  (461,'TKM','TURKMENISTAN                                '),
  (462,'TCA','TURKS AND CAICOS ISLANDS                    '),
  (463,'TUV','TUVALU                                      '),
  (464,'UGA','UGANDA                                      '),
  (465,'UKR','UKRAINE                                     '),
  (466,'ARE','UNITED ARAB EMIRATES                        '),
  (467,'GBR','UNITED KINGDOM                              '),
  (468,'USA','UNITED STATES                               '),
  (469,'UMI','UNITED STATES MINOR OUTLYING ISLANDS        '),
  (470,'URY','URUGUAY                                     '),
  (471,'UZB','UZBEKISTAN                                  '),
  (472,'VUT','VANUATU                                     '),
  (473,'VAT','VATICAN CITY STATE (HOLY SEE)               '),
  (474,'VEN','VENEZUELA                                   '),
  (475,'VNM','VIET NAM                                    '),
  (476,'VGB','VIRGIN ISLANDS (BRITISH)                    '),
  (477,'VIR','VIRGIN ISLANDS (U.S.)                       '),
  (478,'WLF','WALLIS AND FUTUNA ISLANDS                   '),
  (479,'ESH','WESTERN SAHARA                              '),
  (480,'YEM','YEMEN                                       '),
  (481,'ZMB','ZAMBIA                                      '),
  (482,'ZWE','ZIMBABWE                                    ');
COMMIT;


/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;